DUET PlatformDocs
API referenceInbound sync

Get token scopes

available
GET
/integrations/v1/whoami

Returns the scopes that your token carries. Use it to check an integration's own access.

Authorization

Bearer
headerAuthorizationBearer <token>

Response Body

The scopes that the token carries.

application/json
  1. response
account_id*string|null
scopes*array<string>
super*boolean
known_scopes*array<string>
Example Request
curl -X GET 'https://api.enurgen.com/integrations/v1/whoami'
Example Response
{  "account_id": "string",  "scopes": [    "string"  ],  "super": true,  "known_scopes": [    "string"  ]}